Source: golang-gogoprotobuf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Martina Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Dmitry Smirnov <onlyjob@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.9),
               golang-any,
               protobuf-compiler,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gogoprotobuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gogoprotobuf.git
Homepage: https://github.com/gogo/protobuf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/gogo/protobuf

Package: golang-gogoprotobuf-dev
Architecture: all
Section: oldlibs
Depends: gogoprotobuf,
         golang-github-gogo-protobuf-dev,
         ${misc:Depends},
Description: transitional package -- safe to remove
 This transitional package facilitates migration to
 "golang-github-gogo-protobuf-dev" and can be safely removed.

Package: golang-github-gogo-protobuf-dev
Architecture: all
Depends: libprotobuf-dev,
         ${misc:Depends},
Recommends: gogoprotobuf,
Breaks: golang-gogoprotobuf-dev (<< 0.2-1),
Replaces: golang-gogoprotobuf-dev (<< 0.2-1),
Description: alternative protocol buffer support for Golang - sources
 An alternative protocol buffer support for the Go programming language,
 forked from golang-goprotobuf. It is backwards compatible with
 goprotobuf, but provides faster marshalling and unmarshalling and can
 generate extra helper code, tests and benchmarks.
 .
 This package provides sources.

Package: gogoprotobuf
Architecture: any
Depends: golang-github-gogo-protobuf-dev (= ${source:Version}),
         protobuf-compiler,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-gogoprotobuf-dev (<< 0.2-1),
Replaces: golang-gogoprotobuf-dev (<< 0.2-1),
Built-Using: ${misc:Built-Using},
Description: alternative protocol buffer support for Golang - utilities
 An alternative protocol buffer support for the Go programming language,
 forked from golang-goprotobuf. It is backwards compatible with
 goprotobuf, but provides faster marshalling and unmarshalling and can
 generate extra helper code, tests and benchmarks.
 .
 This package provides utilities.
